2019-05-19 10:46 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0006017Spring engineLinuxpublic2018-07-29 21:16
ReporterThinkSome 
Assigned Toabma 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version 
Summary0006017: spring develop a155849 fails to build on Gentoo with SDL_platform.h: No such file or directory
DescriptionIn file included from /usr/include/SDL2/SDL_config.h:10:0,
                 from /usr/include/SDL2/SDL_stdinc.h:31,
                 from /usr/include/SDL2/SDL_rect.h:31,
                 from /tmp/portage/games-strategy/spring-20180718/work/spring-20180718/rts/Game/GameControllerTextInput.h:9,
                 from /tmp/portage/games-strategy/spring-20180718/work/spring-20180718/rts/Game/GameController.h:9,
                 from /tmp/portage/games-strategy/spring-20180718/work/spring-20180718/rts/Game/LoadScreen.h:8,
                 from /tmp/portage/games-strategy/spring-20180718/work/spring-20180718/rts/Sim/Path/Default/PathEstimator.cpp:14:
/usr/include/x86_64-pc-linux-gnu/SDL2/SDL_config.h:33:26: fatal error: SDL_platform.h: No such file or directory
 #include "SDL_platform.h"
                          ^
compilation terminated.
make[2]: *** [rts/Sim/CMakeFiles/engineSim.dir/build.make:1287: rts/Sim/CMakeFiles/engineSim.dir/Path/Default/PathEstimator.cpp.o] Error 1
make[2]: Leaving directory '/tmp/portage/games-strategy/spring-20180718/work/spring-20180718_build'
make[1]: *** [CMakeFiles/Makefile2:3332: rts/Sim/CMakeFiles/engineSim.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....



Note: this also happens before ebbec61e57bd474575de913d6b37dd5d43749acd on maintenance


# find / -mount -name "SDL_platform.h"
/usr/include/SDL2/SDL_platform.h
/usr/include/SDL/SDL_platform.h
/var/portage/distfiles/egit-src/spring.git/include/SDL2/SDL_platform.h
Steps To Reproduceebuild spring-20180718.ebuild manifest && FEATURES="-fail-clean" emerge '=spring-20180718'
Tags104.0+git building
Checked infolog.txt for lua Errors
Attached Files
  • ? file icon tlog (1,105,694 bytes) 2018-07-18 22:14

-Relationships
+Relationships

-Notes

~0019250

abma (administrator)

Fix 5be06b375445b2f5bbaebf6e41c55226b4921fd1 committed to develop branch: fix 0006017:

also use target_include_directories, repo: spring changeset id: 10397

~0019265

abma (administrator)

Fix 9d6be1c9f582ee4bc67171255eb0f6eb07baabee committed to maintenance branch: fix 0006017:

also use target_include_directories, repo: spring changeset id: 10405
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2018-07-18 22:14 ThinkSome New Issue
2018-07-18 22:14 ThinkSome File Added: tlog
2018-07-18 22:14 ThinkSome Tag Attached: 104.0+git building
2018-07-19 13:45 abma Changeset attached => spring develop 5be06b37
2018-07-19 13:45 abma Note Added: 0019250
2018-07-19 13:45 abma Assigned To => abma
2018-07-19 13:45 abma Status new => resolved
2018-07-19 13:45 abma Resolution open => fixed
2018-07-29 21:16 Kloot Changeset attached => spring maintenance 9d6be1c9
2018-07-29 21:16 abma Note Added: 0019265
+Issue History